# Garage Website

¡ Work in progress (almost done) !

---

## Setup

- Install Zola with `pacman -S zola`
- Clone this repo
- Run `npm install` to get the dev dependencies
- Run `zola build` to get the public directory
- Run `npm start` to compile styles and scripts
- Run `zola serve`

## Build

CSS : `28.4 kB`

JS : `6.8 kB (app)` + `1.2 MB (search)`*

*<em>The search index in loaded only when the user opens the search modal</em>

Images + Icons : `1.1 MB`

## Fonctions & utilities

JavaScript can be disabled and the website will still run nicely.
It only brings QoL advantages for the user.

The function is [x] if it still runs <u>without</u> JavaScript enabled.

- [x] Responsive main navigation menu (toggle)
- [x] Documentation : user can deploy or reploy ToC submenus
- [ ] Documentation : deploy only the current ToC submenu after a page change
- [ ] Documentation : sidebar focus effect on current section anchor when user scrolls
- [ ] Documentation : ToC that follows the user's scroll
- [ ] Global search

## Screenshots

<div style="width:100%;display:flex;flex-direction:row;">
    <div style="width:33%;height:1250px;text-align:center;background:url('static/screenshots/screenshot-480.png') no-repeat top;background-size:contain">
        <span>480px</span>
    </div>
    <div style="width:33%;height:1250px;text-align:center;background:url('static/screenshots/screenshot-768.png') no-repeat top;background-size:contain">
        <span>768px</span>
    </div>
    <div style="width:33%;height:1250px;text-align:center;background:url('static/screenshots/screenshot-1280.png') no-repeat top;background-size:contain">
        <span>1280px</span>
    </div>
</div>